tigase.kernel.core

## Class Kernel

- java.lang.Object
- - tigase.kernel.core.Kernel

- Direct Known Subclasses:
    RegistrarKernel

      public class Kernel
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Kernel()`
    `Kernel(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencyManager` | `getDependencyManager()`
    `<T> T` | `getInstance(BeanConfig beanConfig)`
    `<T> T` | `getInstance(Class<T> beanClass)`
    `protected <T> T` | `getInstance(Class<T> beanClass, boolean allowNonExportable)`
    `<T> T` | `getInstance(String beanName)`
    `String` | `getName()`
    `Collection<String>` | `getNamesOf(Class<?> beanType)`
    `Kernel` | `getParent()`
    `void` | `initAll()`
    `protected void` | `initBean(BeanConfig tmpBC, Set<BeanConfig> createdBeansConfig, int deep)`
    `boolean` | `isBeanClassRegistered(String beanName)`
    `void` | `ln(String exportingBeanName, Kernel destinationKernel, String destinationName)`
    `BeanConfigBuilder` | `registerBean(Class<?> beanClass)`
    `BeanConfigBuilder` | `registerBean(String beanName)`
    `void` | `setName(String name)`
    `void` | `startSubKernels()`
    `void` | `unregister(String beanName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### Kernel

          public Kernel()

    - #### Kernel

          public Kernel(String name)

  - ### Method Detail

    - #### getDependencyManager

          public DependencyManager getDependencyManager()

    - #### getInstance

          public <T> T getInstance(BeanConfig beanConfig)

    - #### getInstance

          public <T> T getInstance(Class<T> beanClass)

    - #### getInstance

          protected <T> T getInstance(Class<T> beanClass,
                                      boolean allowNonExportable)

    - #### getInstance

          public <T> T getInstance(String beanName)

    - #### getName

          public String getName()

    - #### getNamesOf

          public Collection<String> getNamesOf(Class<?> beanType)

    - #### getParent

          public Kernel getParent()

    - #### initAll

          public void initAll()

    - #### initBean

          protected void initBean(BeanConfig tmpBC,
                                  Set<BeanConfig> createdBeansConfig,
                                  int deep)
                           throws IllegalAccessException,
                                  IllegalArgumentException,
                                  InvocationTargetException,
                                  InstantiationException

      Throws:
        `IllegalAccessException`
        `IllegalArgumentException`
        `InvocationTargetException`
        `InstantiationException`

    - #### isBeanClassRegistered

          public boolean isBeanClassRegistered(String beanName)

    - #### ln

          public void ln(String exportingBeanName,
                         Kernel destinationKernel,
                         String destinationName)

    - #### registerBean

          public BeanConfigBuilder registerBean(Class<?> beanClass)

    - #### registerBean

          public BeanConfigBuilder registerBean(String beanName)

    - #### setName

          public void setName(String name)

    - #### startSubKernels

          public void startSubKernels()

    - #### unregister

          public void unregister(String beanName)

Copyright © 2022 "Tigase, Inc.". All rights reserved.